#
# spec file for package perl-URI-Template
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-URI-Template
Version:        0.24
Release:        1.21
%define cpan_name URI-Template
Summary:        Object for handling URI templates (RFC 6570)
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/URI-Template/
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRICAS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
Requires:       perl(URI)
Requires:       perl(URI::Escape)
%{perl_requires}

%description
This module provides a wrapper around URI templates as described in RFC
6570: http://tools.ietf.org/html/rfc6570.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Sep 22 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.24
  see /usr/share/doc/packages/perl-URI-Template/Changes
* Wed Jul 11 2018 coolo@suse.com
- updated to 0.23
  see /usr/share/doc/packages/perl-URI-Template/Changes
  0.23 2018-07-10
  - Fix Makefile.PL with no '.' in @INC (GH #5, RT #121036)
  - Ensure we don't re-encode pre-encoded values for +var and #var
    (GH #7, GH #8)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-URI-Template/Changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Aug 31 2010 pascal.bleser@opensuse.org
- update to 0.15
- changes from 0.14:
  * conform to latest spec (draft 03);
    due to the new spec, the following are no longer applicable:
    + deparse()
    + all_variables()
    + passing an arrayref to the process subs
  * as_string() is now just template()
  * added expansions() - returns the coderefs used to expand the template
  * add support for default values (where applicable)
* Tue Jul 22 2008 guru@unixtech.be
- new package
